summaryrefslogtreecommitdiffstats
path: root/cron/crontog
diff options
context:
space:
mode:
Diffstat (limited to 'cron/crontog')
-rwxr-xr-xcron/crontog6
1 files changed, 6 insertions, 0 deletions
diff --git a/cron/crontog b/cron/crontog
new file mode 100755
index 0000000..5aba5e6
--- /dev/null
+++ b/cron/crontog
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# Toggles all cronjobs off/on.
+# Stores disabled crontabs in ~/.consaved until restored.
+
+([ -f "${XDG_CONFIG_HOME:-$HOME/.config}"/cronsaved ] && crontab - < "${XDG_CONFIG_HOME:-$HOME/.config}"/cronsaved && rm "${XDG_CONFIG_HOME:-$HOME/.config}"/cronsaved && notify-send "🕓 Cronjobs re-enabled.") || ( crontab -l > "${XDG_CONFIG_HOME:-$HOME/.config}"/cronsaved && crontab -r && notify-send "🕓 Cronjobs saved and disabled.")